Skip to main content
GET
Retrieve Role details

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Role ID.

Example:

"midaz-editor"

Response

OK

createdAt
string
Example:

"2026-06-24T10:00:00Z"

description
string
Example:

"A custom editor role"

groups
string[]
id
string
Example:

"custom-editor"

isEnabled
boolean
Example:

true

isSystem
boolean
Example:

false

name
string
Example:

"Custom Editor"

roles
string[]
users
string[]